%{?nodejs_find_provides_and_requires}

%global packagename expand-tilde
%global enable_tests 1

Name:		nodejs-expand-tilde
Version:	2.0.2
Release:	1%{?dist}
Summary:	Bash-like tilde expansion for node.js

License:	MIT
URL:		https://github.com/jonschlinkert/expand-tilde.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/expand-tilde/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

BuildRequires:	npm(os-homedir)
BuildRequires:	npm(is-windows)
BuildRequires:	npm(homedir-polyfill)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Bash-like tilde expansion for node.js. Expands a leading tilde in a file path
to the user home directory, or `~+` to the cwd.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Update to upstream 2.0.2 release

* Mon Jul 25 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.2-1
- Initial packaging
